Bug 97778 - aspell looks for pt.dat when given --lang pt_BR
aspell looks for pt.dat when given --lang pt_BR
Product: Red Hat Linux Beta
Classification: Retired
Component: aspell (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-06-20 16:19 EDT by Alexandre Oliva
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-21 15:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-06-20 16:19:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030613

Description of problem:
My aspell-pt_BR-3.0 package used to build using the aspell file using a command
line like this:

... create pt_BR.dat
LC_CTYPE=pt_BR aspell --lang pt_BR --data-dir=. create master ./pt_BR < wordlist

now this fails, because it attemts to search for pt.dat, not pt_BR.dat.  Is this
right?  Anyway, if pt.dat does not exist, it says:

Error: The language "" is not known. This is probably becuase the file
"./pt.dat" can not be opened for reading.

Note the blank string in language name, and the typo in `becuase'.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Download the source rpm from the URL above, and try to build it.

Actual Results:  Error: The language "" is not known. This is probably becuase
the file "./pt.dat" can not be opened for reading.

Expected Results:  /me thinks it should use the language I specified, and not
some derivation thereof, no?

Additional info:
Comment 1 Aleksey Nogin 2003-07-24 19:55:49 EDT
It seems that current aspell always just takes the first two letters of the
--lang argument - not sure if this is a bug or a feature.
Comment 2 Eido Inoue 2003-07-25 11:56:09 EDT
That's definitely a bug (that I can't seem to reproduce yet). In addition to
ISO-639/ISO-3166 pairs, it should also accept any of the defined "aliases" for a
Comment 3 Alexandre Oliva 2003-07-26 21:53:09 EDT
Adrian, do you mean you are unable to duplicate the problem by rpmbuilding the
SRPM I listed in the bug's URL?  I get the same problem on Severn.
Comment 4 Eido Inoue 2004-10-21 15:42:49 EDT
this seems to be all fixed with the aspell-pt package-- the BR and PT
are separated, and aspell-pt_br is deprecated.

Note You need to log in before you can comment on or make changes to this bug.